도메인 이력
특정 PIVX 이름에 대해 수행된 연산(등록 및 변경 등)의 이력 로그를 반환합니다.
엔드포인트
POST https://indexer.pivx.name/v1.0/history/richard.pivx
경로 매개변수
| 매개변수 | 타입 | 필수 | 설명 |
|---|---|---|---|
domain_name | string | 예 | 이력을 조회할 PIVX 도메인(예: richard.pivx). |
요청 본문
요청 본문은 다음 매개변수를 담은 JSON 객체여야 합니다:
| 매개변수 | 타입 | 기본값 | 설명 |
|---|---|---|---|
count | integer | 없음 | 한 번의 응답으로 반환할 항목의 최대 개수를 제한합니다. |
from_block_id | integer | 없음 | 이 블록 높이부터의 이력 로그를 요청합니다. |
order | string | desc | 이력 로그의 정렬 순서. 허용 값: asc 또는 desc. |
코드 예시
- cURL
- JavaScript
- Python
- PHP
curl -X POST https://indexer.pivx.name/v1.0/history/richard.pivx \
-H "Content-Type: application/json" \
-d '{
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}'
const url = 'https://indexer.pivx.name/v1.0/history/richard.pivx';
const data = {
count: 10,
from_block_id: 5332579,
order: 'asc'
};
fetch(url, {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify(data)
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.pivx.name/v1.0/history/richard.pivx"
payload = {
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}
headers = {
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
<?php
$url = 'https://indexer.pivx.name/v1.0/history/richard.pivx';
$data = [
'count' => 10,
'from_block_id' => 5332579,
'order' => 'asc'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
응답 예시
{
"response": [
{
"domain_block_id": 3422326,
"target_address": "ps1f84lvgj0awz2yf2zha5d5gddhd4j88g0kzj5cwp776vhxp5fdjqe7e95cdx2qs5e7fcvg3ds3yg",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "388241ffc5bf8ba3d7633d132298d157e26d6ac127ff8d162f26e7203084df08",
"op": "REG",
"nonce": 1784808228,
"price": 0
},
{
"domain_block_id": 3422369,
"target_address": "ps1f84lvgj0awz2yf2zha5d5gddhd4j88g0kzj5cwp776vhxp5fdjqe7e95cdx2qs5e7fcvg3ds3yg",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "4d5419af400966616ba9325f78bb3cac2ff1229fd4d39ed022a9fc113ee4b67e",
"op": "LST",
"nonce": 1784812534,
"price": 200000
},
{
"domain_block_id": 3422421,
"target_address": "ps1yq6m9k7hn4wzp3gv5xun8kf0eq2dm3ay5r7vc6t9jl0sxh2pw8dz4knmg7uve3cqr6t5hxj9fda",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "3834eb36ca816f1bd9074c546ec64b3a361aca67e88c35b1586fe4ec1ae60095",
"op": "BUY",
"nonce": 1784815586,
"price": 0
},
{
"domain_block_id": 3423248,
"target_address": "ps1yq6m9k7hn4wzp3gv5xun8kf0eq2dm3ay5r7vc6t9jl0sxh2pw8dz4knmg7uve3cqr6t5hxj9fda",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "3c08640ed394b1a270abddcc3ca873c13793629c6a148ad0b5585003ca9e632a",
"op": "LST",
"nonce": 1784878114,
"price": 10012345678
},
{
"domain_block_id": 3423248,
"target_address": "ps1yq6m9k7hn4wzp3gv5xun8kf0eq2dm3ay5r7vc6t9jl0sxh2pw8dz4knmg7uve3cqr6t5hxj9fda",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "9ad75f893c002f21e9bbc3c6cdf4e151477293d64a013aa773db26598c1d5d11",
"op": "ULT",
"nonce": 1784878293,
"price": 0
}
]
}
| 필드 | 타입 | 설명 |
|---|---|---|
domain_block_id | int | 해당 연산이 이루어진 PIVX block_id |
target_address | string | 이름이 해석되는 PIVX 주소 |
op | string | 이름에 대해 수행된 연산 |
owner_pubkey | string | 이름 소유자의 공개 키 |
domain_tx | string | 해당 이름 등록의 PIVX 트랜잭션 해시 |
nonce | int | 연산의 증가하는 타임스탬프 |
price | int | 도메인 판매 가격(LST 또는 BUY의 경우), 그 외에는 0 |